require 'rubygems'
require 'rack/test'
require 'bundler'
require 'mongoid'
require 'factory_girl'
require 'simplecov'
SimpleCov.start

Mongoid.load!('./spec/mongoid.yml', :test)

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
end

FactoryGirl.find_definitions

Dir['lib/**/*.rb'].each {|f| require File.join(File.dirname(__FILE__), '..', f.gsub(/.rb/, ''))}

module RedirHelper
  require 'rack/test'
  include Rack::Test::Methods

  def app
    test_app = lambda do |env|
     [200, {}, 'test app']
    end 
    
    Rack::Redir.new test_app
  end
end

