require 'spec_helper'
include RedirHelper

describe :redirector do

  let(:redirect) { Redirect.create_shortened_url 'http://www.google.com/' }
  before {get redirect.shortened_path.to_s}

  context 'find logs' do

    subject {Redirector.find_logs(redirect.shortened_id).to_a}
    its(:size) {should eq 1}

    context 'data' do
      subject {Redirector.find_logs(redirect.shortened_id).to_a.last.headers['HTTP_HOST']}
      it {should eq 'example.org'}
    end

    context 'multiple requests' do
      before {get redirect.shortened_path.to_s}
      subject {Redirector.find_logs(redirect.shortened_id).to_a}
      its(:size) {should eq 2}
    end 
  end

  context 'number of redirect hits' do
    subject {Redirector.number_of_redirect_hits redirect.shortened_id}
    it {should eq 1}

    context 'multiple requests' do
      before {get redirect.shortened_path.to_s}
      subject {Redirector.number_of_redirect_hits redirect.shortened_id}
      it {should eq 2}
    end

  end

  after :all do
    Redirect.delete_all
    RedirectLog.delete_all
  end
end
